#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xfc1e301f, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0xe56a9336, __VMLINUX_SYMBOL_STR(snd_pcm_format_width) },
	{ 0xff178f6, __VMLINUX_SYMBOL_STR(__aeabi_idivmod) },
	{ 0x2e5810c6, __VMLINUX_SYMBOL_STR(__aeabi_unwind_cpp_pr1) },
	{ 0x6d43ea44, __VMLINUX_SYMBOL_STR(snd_soc_dapm_get_enum_double) },
	{ 0x85852e81, __VMLINUX_SYMBOL_STR(i2c_del_driver) },
	{ 0xf115715f, __VMLINUX_SYMBOL_STR(snd_soc_dapm_get_volsw) },
	{ 0xd86f9919, __VMLINUX_SYMBOL_STR(gpio_to_desc) },
	{ 0xb866151e, __VMLINUX_SYMBOL_STR(regulator_register_notifier) },
	{ 0x123a16dc, __VMLINUX_SYMBOL_STR(snd_soc_add_codec_controls) },
	{ 0xb1ad28e0, __VMLINUX_SYMBOL_STR(__gnu_mcount_nc) },
	{ 0x5d72f0d3, __VMLINUX_SYMBOL_STR(snd_soc_dapm_new_controls) },
	{ 0x36b574d6, __VMLINUX_SYMBOL_STR(snd_soc_put_volsw) },
	{ 0x77d700, __VMLINUX_SYMBOL_STR(regmap_read) },
	{ 0x284bca4b, __VMLINUX_SYMBOL_STR(snd_soc_get_volsw) },
	{ 0xaa5c2aed, __VMLINUX_SYMBOL_STR(devm_regulator_bulk_get) },
	{ 0x213da301, __VMLINUX_SYMBOL_STR(regulator_bulk_enable) },
	{ 0x53134426, __VMLINUX_SYMBOL_STR(snd_soc_info_enum_double) },
	{ 0xcb22ca18, __VMLINUX_SYMBOL_STR(regulator_unregister_notifier) },
	{ 0x9ceeae9a, __VMLINUX_SYMBOL_STR(snd_soc_dapm_add_routes) },
	{ 0xe707d823, __VMLINUX_SYMBOL_STR(__aeabi_uidiv) },
	{ 0x85145f80, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0x87f118ed, __VMLINUX_SYMBOL_STR(snd_soc_update_bits) },
	{ 0x13e13ec7, __VMLINUX_SYMBOL_STR(snd_soc_dapm_put_volsw) },
	{ 0x8e865d3c, __VMLINUX_SYMBOL_STR(arm_delay_ops) },
	{ 0x148077d2, __VMLINUX_SYMBOL_STR(devm_gpio_request_one) },
	{ 0x2196324, __VMLINUX_SYMBOL_STR(__aeabi_idiv) },
	{ 0xc76208b8, __VMLINUX_SYMBOL_STR(snd_soc_info_volsw) },
	{ 0x339cd899, __VMLINUX_SYMBOL_STR(i2c_register_driver) },
	{ 0xb56d07fb, __VMLINUX_SYMBOL_STR(regulator_bulk_disable) },
	{ 0x12a38747, __VMLINUX_SYMBOL_STR(usleep_range) },
	{ 0xf61bb9c4, __VMLINUX_SYMBOL_STR(__devm_regmap_init_i2c) },
	{ 0xe90a05e2, __VMLINUX_SYMBOL_STR(of_get_named_gpio_flags) },
	{ 0xe4d476b8, __VMLINUX_SYMBOL_STR(__dynamic_dev_dbg) },
	{ 0xcbb82a85, __VMLINUX_SYMBOL_STR(snd_soc_unregister_codec) },
	{ 0xc8269f94, __VMLINUX_SYMBOL_STR(snd_soc_params_to_frame_size) },
	{ 0x413cfab6, __VMLINUX_SYMBOL_STR(regcache_mark_dirty) },
	{ 0x50a440da, __VMLINUX_SYMBOL_STR(gpiod_set_raw_value) },
	{ 0xc22bfde6, __VMLINUX_SYMBOL_STR(dev_alert) },
	{ 0x99de0db4, __VMLINUX_SYMBOL_STR(dev_warn) },
	{ 0xdce0b392, __VMLINUX_SYMBOL_STR(of_property_read_variable_u32_array) },
	{ 0xec434f8a, __VMLINUX_SYMBOL_STR(snd_soc_register_codec) },
	{ 0x2e248d9c, __VMLINUX_SYMBOL_STR(devm_kmalloc) },
	{ 0x4219f9cd, __VMLINUX_SYMBOL_STR(regcache_sync) },
	{ 0x8f930158, __VMLINUX_SYMBOL_STR(regcache_cache_only) },
	{ 0xcfc4d767, __VMLINUX_SYMBOL_STR(snd_soc_write) },
	{ 0xe5b734cc, __VMLINUX_SYMBOL_STR(snd_soc_dapm_put_enum_double) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core";

MODULE_ALIAS("i2c:tlv320aic310x");
MODULE_ALIAS("i2c:tlv320aic311x");
MODULE_ALIAS("i2c:tlv320aic3100");
MODULE_ALIAS("i2c:tlv320aic3110");
MODULE_ALIAS("i2c:tlv320aic3120");
MODULE_ALIAS("i2c:tlv320aic3111");
MODULE_ALIAS("i2c:tlv320dac3100");
MODULE_ALIAS("i2c:tlv320dac3101");
MODULE_ALIAS("of:N*T*Cti,tlv320aic310x");
MODULE_ALIAS("of:N*T*Cti,tlv320aic310xC*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic311x");
MODULE_ALIAS("of:N*T*Cti,tlv320aic311xC*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3100");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3100C*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3110");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3110C*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3120");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3120C*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3111");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3111C*");
MODULE_ALIAS("of:N*T*Cti,tlv320dac3100");
MODULE_ALIAS("of:N*T*Cti,tlv320dac3100C*");
MODULE_ALIAS("of:N*T*Cti,tlv320dac3101");
MODULE_ALIAS("of:N*T*Cti,tlv320dac3101C*");

MODULE_INFO(srcversion, "349113437A6E9271928F892");
